using System;
using System.Net;

internal sealed class Delegate612 : MulticastDelegate
{
	public extern HttpListenerRequest Invoke(object object_0);

	public static HttpListenerRequest smethod_0(object object_0, Delegate612 delegate612_1)
	{
		return delegate612_1(object_0);
	}

	public extern Delegate612(object object_0, IntPtr intptr_0);

	static Delegate612()
	{
		Class10.smethod_13(typeof(Delegate612).TypeHandle);
	}

	internal static Delegate612 delegate612_0;
}
